Airwallex logo
Airwallex logoAirwallex logo

Payments

Copy for LLMView as Markdown

A payment resource is created when you send funds to a beneficiary, it details the beneficiary, bank details, the amount being paid, its status and other relevant information. You can also create the payment by using the beneficiary unique identifier which was previously created using Beneficiary resource.

Endpoints
GET /api/v1/payments
GET /api/v1/payments/{payment_id}
POST /api/v1/payments/cancel/{payment_id}
POST /api/v1/payments/create
POST /api/v1/payments/retry/{payment_id}
POST /api/v1/payments/validate

Get list of payments

GET /api/v1/payments

Get list of payments from a specified creation date/time, with optional filters on end creation date/time, buy/sell currency and status. Alternatively, one or neither of the from or to created_at request fields needs to be populated. In the event that neither or only the to created_at fields are populated, then payments 30 days in arrears of today or the to created_at date will be returned.

Parameters
from_created_atstring

The start date of created_at in ISO8601 format (inclusive)

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page, defaultValue 2000

payment_currencystring

Payment currency

request_idstring

Payment request_id

short_reference_idstring

Payment short_reference_id

statusstring

Status of the payment

to_created_atstring

The end date of created_at in ISO8601 format (inclusive)

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

Paged results.

items.amount_beneficiary_receivesnumber

The total amount (in payment payment_currency) the beneficiary receives for this payment, and is governed by value specified in fee_paid_by, i.e. if fee_paid_by is PAYER, then the beneficiary receives the exact same payment_amount since payer is responsible for the payment fee. Otherwise, beneficiary receives payment_amount - fee as the fee is implicitly passed onto the beneficiary

items.amount_payer_paysnumber

The total amount (in source_currency) the payer has to pay for making this payment. For example, if fee_paid_by is PAYER and FX conversion is not involved, then this is the sum of payment_amount + fee as the payer is responsible for the fee. Otherwise this field is the same as payment_amount

items.beneficiaryobject

Details of the beneficiary

items.beneficiary.bank_detailsobject

Beneficiary's bank account details where the payment will be credited

items.beneficiary.bank_details.account_currencystring

Account Currency

items.beneficiary.bank_details.account_namestring

Account holder name of the beneficiary’s bank account

items.beneficiary.bank_details.bank_country_codestring

Bank country code (2-letter ISO 3166-2 country code)

items.beneficiary.bank_details.fingerprintstring

Fingerprint of current beneficiary's bank account

items.beneficiary.bank_details.account_name_aliasstring

The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .

items.beneficiary.bank_details.account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled

items.beneficiary.bank_details.account_routing_type1string

Routing code type

items.beneficiary.bank_details.account_routing_type2string

Routing code sub type

items.beneficiary.bank_details.account_routing_value1string

Routing code value

items.beneficiary.bank_details.account_routing_value2string

Routing code sub type value

items.beneficiary.bank_details.bank_account_categorystring

bank account type

items.beneficiary.bank_details.bank_branchstring

Specific branch of bank account

items.beneficiary.bank_details.bank_namestring

Bank name of the beneficiary's bank account

items.beneficiary.bank_details.bank_statestring

Bank State

items.beneficiary.bank_details.bank_street_addressstring

Bank street address

items.beneficiary.bank_details.binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account

items.beneficiary.bank_details.ibanstring

International bank account number, mostly for european countries

items.beneficiary.bank_details.intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank

items.beneficiary.bank_details.intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC

items.beneficiary.bank_details.local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

items.beneficiary.bank_details.swift_codestring

Bank swift code

items.beneficiary.bank_details.transaction_referencestring

The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account

items.beneficiary.entity_typestring

Entity type of the beneficiary

items.beneficiary.additional_infoobject

Additional information about the beneficiary

items.beneficiary.additional_info.business_areastring

Category of business activity

items.beneficiary.additional_info.business_phone_numberstring

Business phone number

items.beneficiary.additional_info.business_registration_numberstring

Business registration number

items.beneficiary.additional_info.external_identifierstring

The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes

items.beneficiary.additional_info.legal_rep_bank_account_numberstring

Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.

items.beneficiary.additional_info.legal_rep_first_name_in_chinesestring

Legal representative first name in chinese

items.beneficiary.additional_info.legal_rep_id_numberstring

Legal representative id number

items.beneficiary.additional_info.legal_rep_last_name_in_chinesestring

Legal representative last name in chinese

items.beneficiary.additional_info.legal_rep_mobile_numberstring

Legal representative’s mobile number associated with their bank account.

items.beneficiary.additional_info.personal_emailstring

Personal email

items.beneficiary.additional_info.personal_first_name_in_chinesestring

Beneficiary's first name in Chinese

items.beneficiary.additional_info.personal_id_numberstring

Personal unique identifier number

items.beneficiary.additional_info.personal_id_typestring

Personal unique identifier type

items.beneficiary.additional_info.personal_last_name_in_chinesestring

Beneficiary's last name in Chinese

items.beneficiary.additional_info.personal_mobile_numberstring

Personal mobile number

items.beneficiary.additional_info.recipient_account_idstring

Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).

items.beneficiary.additional_info.security_questionstring

Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.

items.beneficiary.additional_info.security_question_answerstring

Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.

items.beneficiary.addressobject

Beneficiary's address details

items.beneficiary.address.citystring

Beneficiary's city

items.beneficiary.address.country_codestring

Beneficiary's country code (2-letter ISO 3166-2 country code)

items.beneficiary.address.postcodestring

Beneficiary's post code

items.beneficiary.address.statestring

Beneficiary's state

items.beneficiary.address.street_addressstring

Beneficiary's street address

items.beneficiary.company_namestring

Company name of the beneficiary

items.beneficiary.date_of_birthstring

beneficiary date of birth

items.beneficiary.first_namestring

First name of the beneficiary

items.beneficiary.last_namestring

Last name of the beneficiary

items.created_atstring

The time this payment request was created

items.fee_amountnumber

The payment fee (in source_currency) for sending this payment

items.fee_currencystring

The payment fee currency. This should always equal to the source_currency

items.fee_paid_bystring

Denotes whether PAYER / BENEFICIARY will be liable for the the payment fee. Defaults to PAYER unless field is populated in the request

items.last_updated_atstring

The time this payment request was last updated

items.payerobject

Details of the payer

items.payer.addressobject

Payer's address details

items.payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code)

items.payer.address.citystring

Payer's city

items.payer.address.postcodestring

Payer's post code

items.payer.address.statestring

Payer's state

items.payer.address.street_addressstring

Payer's street address

items.payer.entity_typestring

Entity type of the payer

items.payer.additional_infoobject

Additional information about the payer

items.payer.additional_info.business_registration_numberstring

Business registration number

items.payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

items.payer.additional_info.external_idstring

Unique identifier of the person in your company

items.payer.additional_info.personal_emailstring

Personal email

items.payer.additional_info.personal_id_numberstring

Personal unique identifier number

items.payer.company_namestring

Company name of the payer

items.payer.date_of_birthstring

Payer's date of birth

items.payer.first_namestring

First name of the payer

items.payer.last_namestring

Last name of the payer

items.payment_amountnumber

Amount to be paid

items.payment_currencystring

Currency the payment should be made in (3-letter ISO-4217 code)

items.payment_datestring

Date when payment should be made (Copied from the request if specified)

items.payment_idstring

Returned payment_id that can be used to query the status of the payment

items.payment_methodstring

Copied from the request if specified. Otherwise the system will populate this field automatically

items.reasonstring

Reason for the payment instruction

items.referencestring

Bank payment reference to be shown on beneficiary's bank transaction history

items.request_idstring

A unique request identifier specified in the payment request

items.short_reference_idstring

Short payment reference for support purposes

items.source_amountnumber

Amount to be received

items.source_currencystring

Copied from the request if specified

items.statusstring

The payment status, can be one of: NEW, IN_APPROVAL, REJECTED, RECALLED, BLOCKED, PENDING_FUNDS,CANCELLED, IN_REVIEW, READY_FOR_DISPATCH, SUSPENDED, DISPATCHED, FAILED, CANCELLATION_REQUESTED, RETRIED

items.beneficiary_idstring

beneficiary_id of the beneficiary contact used to create this payment

items.dispatch_datestring

Actual payout dispatch date. Payouts are dispatched at this date in actual processing. This date could be later than the payment date.

items.failure_reasonstring

Empty unless the payment is in an error state

items.failure_typestring

Empty unless the payment is in an error state

items.metadataobject

A set of key-value pairs for storing your own data together with the payment.

items.payer_idstring

payer_id of the payer contact used to create this payment

items.swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER

items.underlying_conversion_idstring

Underlying conversion_id (if source_currency is different from payment_currency)

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/payments
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/payments' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "amount_beneficiary_receives": 99996,
6 "amount_payer_pays": 10004,
7 "beneficiary": {
8 "additional_info": {
9 "business_area": "Travel",
10 "business_phone_number": "689342234",
11 "business_registration_number": "IT593003",
12 "legal_rep_bank_account_number": "44250100003700000000",
13 "legal_rep_first_name_in_chinese": "小芳",
14 "legal_rep_id_number": "110108199304203520",
15 "legal_rep_last_name_in_chinese": "刘",
16 "legal_rep_mobile_number": "13651362890",
17 "personal_email": "[email protected]",
18 "personal_first_name_in_chinese": "大明",
19 "personal_id_number": "1234567890",
20 "personal_id_type": "NATIONAL_ID",
21 "personal_last_name_in_chinese": "李",
22 "personal_mobile_number": "13651362890",
23 "security_question": "What is the name of my second puppy?",
24 "security_question_answer": "Scooby Doo"
25 },
26 "address": {
27 "city": "Melbourne",
28 "country_code": "AU",
29 "postcode": "3000",
30 "state": "VIC",
31 "street_address": "15 William Street"
32 },
33 "bank_details": {
34 "account_currency": "AUD",
35 "account_name": "Lee Da Ming",
36 "account_name_alias": "Lee D M",
37 "account_number": "12750852",
38 "account_routing_type1": "bsb",
39 "account_routing_type2": "sort_code",
40 "account_routing_value1": "083064",
41 "account_routing_value2": "123456",
42 "bank_account_category": "Checking,Savings,Vista,Maestra",
43 "bank_branch": "Melbourne",
44 "bank_country_code": "AU",
45 "bank_name": "National Australia Bank",
46 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
47 "binding_mobile_number": "654897612345",
48 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
49 "iban": "ES8023100001180000012345",
50 "local_clearing_system": "ACH",
51 "swift_code": "CTBAAU2S",
52 "transaction_reference": "4140110135",
53 "intermediary_bank_swift_code": "CTBAAU2S",
54 "intermediary_bank_name": "National Australia Bank"
55 },
56 "company_name": "Complete Concrete Pty Ltd",
57 "date_of_birth": "1976-08-26",
58 "entity_type": "COMPANY",
59 "first_name": "John",
60 "last_name": "Walker"
61 },
62 "created_at": "2017-03-22T16:08:02+1100",
63 "dispatch_date": "2017-03-29",
64 "failure_reason": "Insufficient funds",
65 "failure_type": "UNKNOWN",
66 "fee_amount": 4,
67 "fee_currency": "AUD",
68 "fee_paid_by": "PAYER",
69 "last_updated_at": "2017-03-24T18:00:02+1100",
70 "metadata": {
71 "order_id": "0123456789"
72 },
73 "payer": {
74 "additional_info": {
75 "business_registration_number": "EU300503",
76 "business_registration_type": "Partnership",
77 "external_id": "1234567890",
78 "personal_email": "[email protected]",
79 "personal_id_number": "1234567890"
80 },
81 "address": {
82 "city": "Melbourne",
83 "country_code": "AU",
84 "postcode": "3000",
85 "state": "VIC",
86 "street_address": "15 William Street"
87 },
88 "company_name": "Complete Concrete Pty Ltd",
89 "date_of_birth": "1976-08-26",
90 "entity_type": "COMPANY",
91 "first_name": "James",
92 "last_name": "Smith"
93 },
94 "payment_amount": 10000,
95 "payment_currency": "AUD",
96 "payment_date": "2017-03-24",
97 "payment_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
98 "payment_method": "SWIFT",
99 "reason": "travel",
100 "reference": "PMT1936398",
101 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
102 "short_reference_id": "20170322-9F6ML2",
103 "source_amount": 10000,
104 "source_currency": "AUD",
105 "status": "DISPATCHED",
106 "swift_charge_option": "SHARED",
107 "underlying_conversion_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede"
108 }
109 ]
110}
Was this section helpful?

Get payment by ID

GET /api/v1/payments/{payment_id}

Get a specific payment by specifying the Airwallex payment_id.

Parameters
payment_idrequiredstring

Unique identifier of the payment to retrieve

Response body - 200 OK
amount_beneficiary_receivesnumber

The total amount (in payment payment_currency) the beneficiary receives for this payment, and is governed by value specified in fee_paid_by, i.e. if fee_paid_by is PAYER, then the beneficiary receives the exact same payment_amount since payer is responsible for the payment fee. Otherwise, beneficiary receives payment_amount - fee as the fee is implicitly passed onto the beneficiary

amount_payer_paysnumber

The total amount (in source_currency) the payer has to pay for making this payment. For example, if fee_paid_by is PAYER and FX conversion is not involved, then this is the sum of payment_amount + fee as the payer is responsible for the fee. Otherwise this field is the same as payment_amount

beneficiaryobject

Details of the beneficiary

beneficiary.bank_detailsobject

Beneficiary's bank account details where the payment will be credited

beneficiary.bank_details.account_currencystring

Account Currency

beneficiary.bank_details.account_namestring

Account holder name of the beneficiary’s bank account

beneficiary.bank_details.bank_country_codestring

Bank country code (2-letter ISO 3166-2 country code)

beneficiary.bank_details.fingerprintstring

Fingerprint of current beneficiary's bank account

beneficiary.bank_details.account_name_aliasstring

The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .

beneficiary.bank_details.account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled

beneficiary.bank_details.account_routing_type1string

Routing code type

beneficiary.bank_details.account_routing_type2string

Routing code sub type

beneficiary.bank_details.account_routing_value1string

Routing code value

beneficiary.bank_details.account_routing_value2string

Routing code sub type value

beneficiary.bank_details.bank_account_categorystring

bank account type

beneficiary.bank_details.bank_branchstring

Specific branch of bank account

beneficiary.bank_details.bank_namestring

Bank name of the beneficiary's bank account

beneficiary.bank_details.bank_statestring

Bank State

beneficiary.bank_details.bank_street_addressstring

Bank street address

beneficiary.bank_details.binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account

beneficiary.bank_details.ibanstring

International bank account number, mostly for european countries

beneficiary.bank_details.intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank

beneficiary.bank_details.intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC

beneficiary.bank_details.local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

beneficiary.bank_details.swift_codestring

Bank swift code

beneficiary.bank_details.transaction_referencestring

The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account

beneficiary.entity_typestring

Entity type of the beneficiary

beneficiary.additional_infoobject

Additional information about the beneficiary

beneficiary.additional_info.business_areastring

Category of business activity

beneficiary.additional_info.business_phone_numberstring

Business phone number

beneficiary.additional_info.business_registration_numberstring

Business registration number

beneficiary.additional_info.external_identifierstring

The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes

beneficiary.additional_info.legal_rep_bank_account_numberstring

Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.

beneficiary.additional_info.legal_rep_first_name_in_chinesestring

Legal representative first name in chinese

beneficiary.additional_info.legal_rep_id_numberstring

Legal representative id number

beneficiary.additional_info.legal_rep_last_name_in_chinesestring

Legal representative last name in chinese

beneficiary.additional_info.legal_rep_mobile_numberstring

Legal representative’s mobile number associated with their bank account.

beneficiary.additional_info.personal_emailstring

Personal email

beneficiary.additional_info.personal_first_name_in_chinesestring

Beneficiary's first name in Chinese

beneficiary.additional_info.personal_id_numberstring

Personal unique identifier number

beneficiary.additional_info.personal_id_typestring

Personal unique identifier type

beneficiary.additional_info.personal_last_name_in_chinesestring

Beneficiary's last name in Chinese

beneficiary.additional_info.personal_mobile_numberstring

Personal mobile number

beneficiary.additional_info.recipient_account_idstring

Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).

beneficiary.additional_info.security_questionstring

Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.additional_info.security_question_answerstring

Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.addressobject

Beneficiary's address details

beneficiary.address.citystring

Beneficiary's city

beneficiary.address.country_codestring

Beneficiary's country code (2-letter ISO 3166-2 country code)

beneficiary.address.postcodestring

Beneficiary's post code

beneficiary.address.statestring

Beneficiary's state

beneficiary.address.street_addressstring

Beneficiary's street address

beneficiary.company_namestring

Company name of the beneficiary

beneficiary.date_of_birthstring

beneficiary date of birth

beneficiary.first_namestring

First name of the beneficiary

beneficiary.last_namestring

Last name of the beneficiary

beneficiary_idstring

beneficiary_id of the beneficiary contact used to create this payment

created_atstring

The time this payment request was created

dispatch_datestring

Actual payout dispatch date. Payouts are dispatched at this date in actual processing. This date could be later than the payment date.

failure_reasonstring

Empty unless the payment is in an error state

failure_typestring

Empty unless the payment is in an error state

fee_amountnumber

The payment fee (in source_currency) for sending this payment

fee_currencystring

The payment fee currency. This should always equal to the source_currency

fee_paid_bystring

Denotes whether PAYER / BENEFICIARY will be liable for the the payment fee. Defaults to PAYER unless field is populated in the request

last_updated_atstring

The time this payment request was last updated

metadataobject

A set of key-value pairs for storing your own data together with the payment.

payerobject

Details of the payer

payer.addressobject

Payer's address details

payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typestring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

payer_idstring

payer_id of the payer contact used to create this payment

payment_amountnumber

Amount to be paid

payment_currencystring

Currency the payment should be made in (3-letter ISO-4217 code)

payment_datestring

Date when payment should be made (Copied from the request if specified)

payment_idstring

Returned payment_id that can be used to query the status of the payment

payment_methodstring

Copied from the request if specified. Otherwise the system will populate this field automatically

reasonstring

Reason for the payment instruction

referencestring

Bank payment reference to be shown on beneficiary's bank transaction history

request_idstring

A unique request identifier specified in the payment request

short_reference_idstring

Short payment reference for support purposes

source_amountnumber

Amount to be received

source_currencystring

Copied from the request if specified

statusstring

The payment status, can be one of: NEW, IN_APPROVAL, REJECTED, RECALLED, BLOCKED, PENDING_FUNDS,CANCELLED, IN_REVIEW, READY_FOR_DISPATCH, SUSPENDED, DISPATCHED, FAILED, CANCELLATION_REQUESTED, RETRIED

swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER

underlying_conversion_idstring

Underlying conversion_id (if source_currency is different from payment_currency)

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/payments/{payment_id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/payments/payment_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "amount_beneficiary_receives": 99996,
3 "amount_payer_pays": 10004,
4 "beneficiary": {
5 "additional_info": {
6 "business_area": "Travel",
7 "business_phone_number": "689342234",
8 "business_registration_number": "IT593003",
9 "external_identifier": "<string>",
10 "legal_rep_bank_account_number": "44250100003700000000",
11 "legal_rep_first_name_in_chinese": "小芳",
12 "legal_rep_id_number": "110108199304203520",
13 "legal_rep_last_name_in_chinese": "刘",
14 "legal_rep_mobile_number": "13651362890",
15 "personal_email": "[email protected]",
16 "personal_first_name_in_chinese": "大明",
17 "personal_id_number": "1234567890",
18 "personal_id_type": "NATIONAL_ID",
19 "personal_last_name_in_chinese": "李",
20 "personal_mobile_number": "13651362890",
21 "recipient_account_id": "<string>",
22 "security_question": "What is the name of my second puppy?",
23 "security_question_answer": "Scooby Doo"
24 },
25 "address": {
26 "city": "Melbourne",
27 "country_code": "AU",
28 "postcode": "3000",
29 "state": "VIC",
30 "street_address": "15 William Street"
31 },
32 "bank_details": {
33 "account_currency": "AUD",
34 "account_name": "Lee Da Ming",
35 "account_name_alias": "Lee D M",
36 "account_number": "12750852",
37 "account_routing_type1": "bsb",
38 "account_routing_type2": "sort_code",
39 "account_routing_value1": "083064",
40 "account_routing_value2": "123456",
41 "bank_account_category": "Checking,Savings,Vista,Maestra",
42 "bank_branch": "Melbourne",
43 "bank_country_code": "AU",
44 "bank_name": "National Australia Bank",
45 "bank_state": "<string>",
46 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
47 "binding_mobile_number": "654897612345",
48 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
49 "iban": "ES8023100001180000012345",
50 "local_clearing_system": "ACH",
51 "swift_code": "CTBAAU2S",
52 "transaction_reference": "4140110135",
53 "intermediary_bank_swift_code": "CTBAAU2S",
54 "intermediary_bank_name": "National Australia Bank"
55 },
56 "company_name": "Complete Concrete Pty Ltd",
57 "date_of_birth": "1976-08-26",
58 "entity_type": "COMPANY",
59 "first_name": "John",
60 "last_name": "Walker"
61 },
62 "beneficiary_id": "<uuid>",
63 "created_at": "2017-03-22T16:08:02+1100",
64 "dispatch_date": "2017-03-29",
65 "failure_reason": "Insufficient funds",
66 "failure_type": "UNKNOWN",
67 "fee_amount": 4,
68 "fee_currency": "AUD",
69 "fee_paid_by": "PAYER",
70 "last_updated_at": "2017-03-24T18:00:02+1100",
71 "metadata": {
72 "order_id": "0123456789"
73 },
74 "payer": {
75 "additional_info": {
76 "business_registration_number": "EU300503",
77 "business_registration_type": "Partnership",
78 "external_id": "1234567890",
79 "personal_email": "[email protected]",
80 "personal_id_number": "1234567890"
81 },
82 "address": {
83 "city": "Melbourne",
84 "country_code": "AU",
85 "postcode": "3000",
86 "state": "VIC",
87 "street_address": "15 William Street"
88 },
89 "company_name": "Complete Concrete Pty Ltd",
90 "date_of_birth": "1976-08-26",
91 "entity_type": "COMPANY",
92 "first_name": "James",
93 "last_name": "Smith"
94 },
95 "payer_id": "<uuid>",
96 "payment_amount": 10000,
97 "payment_currency": "AUD",
98 "payment_date": "2017-03-24",
99 "payment_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
100 "payment_method": "SWIFT",
101 "reason": "travel",
102 "reference": "PMT1936398",
103 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
104 "short_reference_id": "20170322-9F6ML2",
105 "source_amount": 10000,
106 "source_currency": "AUD",
107 "status": "DISPATCHED",
108 "swift_charge_option": "SHARED",
109 "underlying_conversion_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede"
110}
Was this section helpful?

Cancel a payment

POST /api/v1/payments/cancel/{payment_id}

Cancel a payment by payment_id. Only a payment in a status of either NEW, PENDING_FUNDS or FAILED can be cancelled.

Parameters
payment_idrequiredstring

Unique identifier of the payment to cancel

Response body - 200 OK

OK

Errors
Error statusDescription
400

Possible errors: payout_not_found, update_unsupported, service_unavailable

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/payments/cancel/{payment_id}
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/payments/cancel/payment_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Was this section helpful?

Create a new payment

POST /api/v1/payments/create

Create a new payment to a beneficiary. The payment can either include an underlying conversion when the payment currency varies from the source currency, or will not include a conversion when the payment currency and source currency match.

We have created a dynamic schema that will return required fields based on some key criteria that we need to determine the destination of the payment and the route it will take to reach that destination.

Payment Fee

By default, payer is responsible for the payment fee but may be passed onto the beneficiary by setting fee_paid_by to BENEFICIARY. The fee_paid_by flag affects the total amount the payer has to pay, and the amount the beneficiary receives.

The fee component is calculated by the system and is communicated back via fee_currency and fee_amount in the API response. The actual amounts both parties pay and receive are represented by amount_payer_pays and amount_beneficiary_receives respectively.

Approvals

Creating a payment to be submitted for approval is available upon request. When a payment including a conversion is submitted for approval, values for amount_beneficiary_receives, amount_payer_pays, fee_amount, payment_amount and source_amount in the response are tentative based on the exchange rate at the time of creation until the payment status changes to PENDING_FUNDS, at which point the exchange rate is confirmed. When the payment status transitions to PENDING_FUNDS, if the payment_date is a past date, its value will get updated.

Request body
payment_currencyrequiredstring

Payment currency, i.e. the currency that the beneficiary receives (3-letter ISO-4217 code)

reasonrequiredstring

Reason for the payment instruction

referencerequiredstring

A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank

request_idrequiredstring

A unique request ID specified by the client. Payout creation requests with a request_id that has been used in the past 7 days are treated as duplicated payout and cannot be processed. When you are not sure about the outcome of a payout creation request, e.g. when there are network issues or system failures such as timeout, you can try to get a payout with this request_id to find out.
Note: Can be non-UUID as long as it is unique among the requests within the past 7 days.

beneficiaryobject

Details for the beneficiary in the payment request. If beneficiary_id provided in the payment request then beneficiary should be empty

beneficiary.bank_detailsrequiredobject

Beneficiary's bank account details where the payment will be credited

beneficiary.bank_details.account_currencyrequiredstring

Account Currency

beneficiary.bank_details.account_namerequiredstring

Account holder name of the beneficiary’s bank account

beneficiary.bank_details.bank_country_coderequiredstring

Bank country code (2-letter ISO 3166-2 country code)

beneficiary.bank_details.fingerprintrequiredstring

Fingerprint of current beneficiary's bank account

beneficiary.bank_details.account_name_aliasstring

The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .

beneficiary.bank_details.account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled

beneficiary.bank_details.account_routing_type1string

Routing code type

beneficiary.bank_details.account_routing_type2string

Routing code sub type

beneficiary.bank_details.account_routing_value1string

Routing code value

beneficiary.bank_details.account_routing_value2string

Routing code sub type value

beneficiary.bank_details.bank_account_categorystring

bank account type

beneficiary.bank_details.bank_branchstring

Specific branch of bank account

beneficiary.bank_details.bank_namestring

Bank name of the beneficiary's bank account

beneficiary.bank_details.bank_statestring

Bank State

beneficiary.bank_details.bank_street_addressstring

Bank street address

beneficiary.bank_details.binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account

beneficiary.bank_details.ibanstring

International bank account number, mostly for european countries

beneficiary.bank_details.intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank

beneficiary.bank_details.intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC

beneficiary.bank_details.local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

beneficiary.bank_details.swift_codestring

Bank swift code

beneficiary.bank_details.transaction_referencestring

The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account

beneficiary.entity_typerequiredstring

Entity type of the beneficiary

beneficiary.additional_infoobject

Additional information about the beneficiary

beneficiary.additional_info.business_areastring

Category of business activity

beneficiary.additional_info.business_phone_numberstring

Business phone number

beneficiary.additional_info.business_registration_numberstring

Business registration number

beneficiary.additional_info.external_identifierstring

The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes

beneficiary.additional_info.legal_rep_bank_account_numberstring

Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.

beneficiary.additional_info.legal_rep_first_name_in_chinesestring

Legal representative first name in chinese

beneficiary.additional_info.legal_rep_id_numberstring

Legal representative id number

beneficiary.additional_info.legal_rep_last_name_in_chinesestring

Legal representative last name in chinese

beneficiary.additional_info.legal_rep_mobile_numberstring

Legal representative’s mobile number associated with their bank account.

beneficiary.additional_info.personal_emailstring

Personal email

beneficiary.additional_info.personal_first_name_in_chinesestring

Beneficiary's first name in Chinese

beneficiary.additional_info.personal_id_numberstring

Personal unique identifier number

beneficiary.additional_info.personal_id_typestring

Personal unique identifier type

beneficiary.additional_info.personal_last_name_in_chinesestring

Beneficiary's last name in Chinese

beneficiary.additional_info.personal_mobile_numberstring

Personal mobile number

beneficiary.additional_info.recipient_account_idstring

Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).

beneficiary.additional_info.security_questionstring

Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.additional_info.security_question_answerstring

Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.addressobject

Beneficiary's address details

beneficiary.address.citystring

Beneficiary's city

beneficiary.address.country_codestring

Beneficiary's country code (2-letter ISO 3166-2 country code)

beneficiary.address.postcodestring

Beneficiary's post code

beneficiary.address.statestring

Beneficiary's state

beneficiary.address.street_addressstring

Beneficiary's street address

beneficiary.company_namestring

Company name of the beneficiary

beneficiary.date_of_birthstring

beneficiary date of birth

beneficiary.first_namestring

First name of the beneficiary

beneficiary.last_namestring

Last name of the beneficiary

beneficiary_idstring

An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API. This may be provided in place of the beneficiary section and should be empty if the beneficiary fields are provided

client_datastring

Free text field available to you; can be populated with any additional identifiers that may be required for the payment

fee_paid_bystring

Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives

metadataobject

A set of key-value pairs for storing your own data together with the payment.

payerobject

Details for the payer in the payment request. If payer_id provided in the payment request then payer should be empty

payer.addressrequiredobject

Payer's address details

payer.address.country_coderequiredstring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typerequiredstring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

payer_idstring

An Airwallex payer_id previously generated by utilising the Airwallex Contact API. This may be provided in place of the payer section and should be empty if the payer fields are provided

payment_amountstring

Payment amount in payment_currency

payment_datestring

Date when payment should be made

payment_methodstring

Payment method, i.e. SWIFT, LOCAL

quote_idstring

Provide a valid quote_id to execute the conversion at the client_rate provided in the quote.

source_amountstring

Source amount in source_currency

source_currencystring

Source currency, i.e. the currency that the Payer uses to fund the payment (3-letter ISO-4217 code)

swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER

Response body - 201 Created
amount_beneficiary_receivesnumber

The total amount (in payment payment_currency) the beneficiary receives for this payment, and is governed by value specified in fee_paid_by, i.e. if fee_paid_by is PAYER, then the beneficiary receives the exact same payment_amount since payer is responsible for the payment fee. Otherwise, beneficiary receives payment_amount - fee as the fee is implicitly passed onto the beneficiary

amount_payer_paysnumber

The total amount (in source_currency) the payer has to pay for making this payment. For example, if fee_paid_by is PAYER and FX conversion is not involved, then this is the sum of payment_amount + fee as the payer is responsible for the fee. Otherwise this field is the same as payment_amount

beneficiaryobject

Details of the beneficiary

beneficiary.bank_detailsobject

Beneficiary's bank account details where the payment will be credited

beneficiary.bank_details.account_currencystring

Account Currency

beneficiary.bank_details.account_namestring

Account holder name of the beneficiary’s bank account

beneficiary.bank_details.bank_country_codestring

Bank country code (2-letter ISO 3166-2 country code)

beneficiary.bank_details.fingerprintstring

Fingerprint of current beneficiary's bank account

beneficiary.bank_details.account_name_aliasstring

The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .

beneficiary.bank_details.account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled

beneficiary.bank_details.account_routing_type1string

Routing code type

beneficiary.bank_details.account_routing_type2string

Routing code sub type

beneficiary.bank_details.account_routing_value1string

Routing code value

beneficiary.bank_details.account_routing_value2string

Routing code sub type value

beneficiary.bank_details.bank_account_categorystring

bank account type

beneficiary.bank_details.bank_branchstring

Specific branch of bank account

beneficiary.bank_details.bank_namestring

Bank name of the beneficiary's bank account

beneficiary.bank_details.bank_statestring

Bank State

beneficiary.bank_details.bank_street_addressstring

Bank street address

beneficiary.bank_details.binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account

beneficiary.bank_details.ibanstring

International bank account number, mostly for european countries

beneficiary.bank_details.intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank

beneficiary.bank_details.intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC

beneficiary.bank_details.local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

beneficiary.bank_details.swift_codestring

Bank swift code

beneficiary.bank_details.transaction_referencestring

The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account

beneficiary.entity_typestring

Entity type of the beneficiary

beneficiary.additional_infoobject

Additional information about the beneficiary

beneficiary.additional_info.business_areastring

Category of business activity

beneficiary.additional_info.business_phone_numberstring

Business phone number

beneficiary.additional_info.business_registration_numberstring

Business registration number

beneficiary.additional_info.external_identifierstring

The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes

beneficiary.additional_info.legal_rep_bank_account_numberstring

Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.

beneficiary.additional_info.legal_rep_first_name_in_chinesestring

Legal representative first name in chinese

beneficiary.additional_info.legal_rep_id_numberstring

Legal representative id number

beneficiary.additional_info.legal_rep_last_name_in_chinesestring

Legal representative last name in chinese

beneficiary.additional_info.legal_rep_mobile_numberstring

Legal representative’s mobile number associated with their bank account.

beneficiary.additional_info.personal_emailstring

Personal email

beneficiary.additional_info.personal_first_name_in_chinesestring

Beneficiary's first name in Chinese

beneficiary.additional_info.personal_id_numberstring

Personal unique identifier number

beneficiary.additional_info.personal_id_typestring

Personal unique identifier type

beneficiary.additional_info.personal_last_name_in_chinesestring

Beneficiary's last name in Chinese

beneficiary.additional_info.personal_mobile_numberstring

Personal mobile number

beneficiary.additional_info.recipient_account_idstring

Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).

beneficiary.additional_info.security_questionstring

Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.additional_info.security_question_answerstring

Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.addressobject

Beneficiary's address details

beneficiary.address.citystring

Beneficiary's city

beneficiary.address.country_codestring

Beneficiary's country code (2-letter ISO 3166-2 country code)

beneficiary.address.postcodestring

Beneficiary's post code

beneficiary.address.statestring

Beneficiary's state

beneficiary.address.street_addressstring

Beneficiary's street address

beneficiary.company_namestring

Company name of the beneficiary

beneficiary.date_of_birthstring

beneficiary date of birth

beneficiary.first_namestring

First name of the beneficiary

beneficiary.last_namestring

Last name of the beneficiary

beneficiary_idstring

beneficiary_id of the beneficiary contact used to create this payment

created_atstring

The time this payment request was created

dispatch_datestring

Actual payout dispatch date. Payouts are dispatched at this date in actual processing. This date could be later than the payment date.

failure_reasonstring

Empty unless the payment is in an error state

failure_typestring

Empty unless the payment is in an error state

fee_amountnumber

The payment fee (in source_currency) for sending this payment

fee_currencystring

The payment fee currency. This should always equal to the source_currency

fee_paid_bystring

Denotes whether PAYER / BENEFICIARY will be liable for the the payment fee. Defaults to PAYER unless field is populated in the request

last_updated_atstring

The time this payment request was last updated

metadataobject

A set of key-value pairs for storing your own data together with the payment.

payerobject

Details of the payer

payer.addressobject

Payer's address details

payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typestring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

payer_idstring

payer_id of the payer contact used to create this payment

payment_amountnumber

Amount to be paid

payment_currencystring

Currency the payment should be made in (3-letter ISO-4217 code)

payment_datestring

Date when payment should be made (Copied from the request if specified)

payment_idstring

Returned payment_id that can be used to query the status of the payment

payment_methodstring

Copied from the request if specified. Otherwise the system will populate this field automatically

reasonstring

Reason for the payment instruction

referencestring

Bank payment reference to be shown on beneficiary's bank transaction history

request_idstring

A unique request identifier specified in the payment request

short_reference_idstring

Short payment reference for support purposes

source_amountnumber

Amount to be received

source_currencystring

Copied from the request if specified

statusstring

The payment status, can be one of: NEW, IN_APPROVAL, REJECTED, RECALLED, BLOCKED, PENDING_FUNDS,CANCELLED, IN_REVIEW, READY_FOR_DISPATCH, SUSPENDED, DISPATCHED, FAILED, CANCELLATION_REQUESTED, RETRIED

swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER

underlying_conversion_idstring

Underlying conversion_id (if source_currency is different from payment_currency)

Errors
Error statusDescription
400

Possible errors: request_id_duplicate, declaration_required, amount_beneficiary_receives_below_limit, amount_below_payment_method_limit, source_amount_below_account_limit, payment_amount_below_account_limit, amount_beneficiary_receives_above_cumulative_limit, amount_above_payment_method_limit, source_amount_above_account_limit, payment_amount_above_account_limit, fee_unknown, service_unavailable, currency_pair_invalid, order_info_unsupported, order_reconciliation_failed, payment_currency_unsupported, source_currency_unsupported, open_position_limit_exceeded, balance_insufficient, payout_method_unsupported, payer_unsupported, validation_failed, quote_id_invalid, quote_id_required, beneficiary_type_unsupported, order_amount_insufficient, quote_expired, payment_date_invalid

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/payments/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/payments/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "beneficiary": {
> "additional_info": {
> "business_area": "Travel",
> "business_phone_number": "689342234",
> "business_registration_number": "IT593003",
> "external_identifier": "<string>",
> "legal_rep_bank_account_number": "44250100003700000000",
> "legal_rep_first_name_in_chinese": "小芳",
> "legal_rep_id_number": "110108199304203520",
> "legal_rep_last_name_in_chinese": "刘",
> "legal_rep_mobile_number": "13651362890",
> "personal_email": "[email protected]",
> "personal_first_name_in_chinese": "大明",
> "personal_id_number": "1234567890",
> "personal_id_type": "NATIONAL_ID",
> "personal_last_name_in_chinese": "李",
> "personal_mobile_number": "13651362890",
> "recipient_account_id": "<string>",
> "security_question": "What is the name of my second puppy?",
> "security_question_answer": "Scooby Doo"
> },
> "address": {
> "city": "Melbourne",
> "country_code": "AU",
> "postcode": "3000",
> "state": "VIC",
> "street_address": "15 William Street"
> },
> "bank_details": {
> "account_currency": "AUD",
> "account_name": "Lee Da Ming",
> "account_name_alias": "Lee D M",
> "account_number": "12750852",
> "account_routing_type1": "bsb",
> "account_routing_type2": "sort_code",
> "account_routing_value1": "083064",
> "account_routing_value2": "123456",
> "bank_account_category": "Checking,Savings,Vista,Maestra",
> "bank_branch": "Melbourne",
> "bank_country_code": "AU",
> "bank_name": "National Australia Bank",
> "bank_state": "<string>",
> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
> "binding_mobile_number": "654897612345",
> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
> "iban": "ES8023100001180000012345",
> "local_clearing_system": "ACH",
> "swift_code": "CTBAAU2S",
> "transaction_reference": "4140110135",
> "intermediary_bank_swift_code": "CTBAAU2S",
> "intermediary_bank_name": "National Australia Bank"
> },
> "company_name": "Complete Concrete Pty Ltd",
> "date_of_birth": "1976-08-26",
> "entity_type": "COMPANY",
> "first_name": "John",
> "last_name": "Walker"
> },
> "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",
> "client_data": "string",
> "fee_paid_by": "PAYER",
> "metadata": {
> "order_id": "0123456789"
> },
> "payer": {
> "additional_info": {
> "business_registration_number": "EU300503",
> "business_registration_type": "Partnership",
> "external_id": "1234567890",
> "personal_email": "[email protected]",
> "personal_id_number": "1234567890"
> },
> "address": {
> "city": "Melbourne",
> "country_code": "AU",
> "postcode": "3000",
> "state": "VIC",
> "street_address": "15 William Street"
> },
> "company_name": "Complete Concrete Pty Ltd",
> "date_of_birth": "1976-08-26",
> "entity_type": "COMPANY",
> "first_name": "James",
> "last_name": "Smith"
> },
> "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
> "payment_amount": "10000",
> "payment_currency": "AUD",
> "payment_date": "2017-03-20",
> "payment_method": "SWIFT",
> "quote_id": "<string>",
> "reason": "travel",
> "reference": "PMT1936398",
> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
> "source_amount": "10000",
> "source_currency": "AUD",
> "swift_charge_option": "SHARED"
>}'
Response (201 Created)
1{
2 "amount_beneficiary_receives": 99996,
3 "amount_payer_pays": 10004,
4 "beneficiary": {
5 "additional_info": {
6 "business_area": "Travel",
7 "business_phone_number": "689342234",
8 "business_registration_number": "IT593003",
9 "external_identifier": "<string>",
10 "legal_rep_bank_account_number": "44250100003700000000",
11 "legal_rep_first_name_in_chinese": "小芳",
12 "legal_rep_id_number": "110108199304203520",
13 "legal_rep_last_name_in_chinese": "刘",
14 "legal_rep_mobile_number": "13651362890",
15 "personal_email": "[email protected]",
16 "personal_first_name_in_chinese": "大明",
17 "personal_id_number": "1234567890",
18 "personal_id_type": "NATIONAL_ID",
19 "personal_last_name_in_chinese": "李",
20 "personal_mobile_number": "13651362890",
21 "recipient_account_id": "<string>",
22 "security_question": "What is the name of my second puppy?",
23 "security_question_answer": "Scooby Doo"
24 },
25 "address": {
26 "city": "Melbourne",
27 "country_code": "AU",
28 "postcode": "3000",
29 "state": "VIC",
30 "street_address": "15 William Street"
31 },
32 "bank_details": {
33 "account_currency": "AUD",
34 "account_name": "Lee Da Ming",
35 "account_name_alias": "Lee D M",
36 "account_number": "12750852",
37 "account_routing_type1": "bsb",
38 "account_routing_type2": "sort_code",
39 "account_routing_value1": "083064",
40 "account_routing_value2": "123456",
41 "bank_account_category": "Checking,Savings,Vista,Maestra",
42 "bank_branch": "Melbourne",
43 "bank_country_code": "AU",
44 "bank_name": "National Australia Bank",
45 "bank_state": "<string>",
46 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
47 "binding_mobile_number": "654897612345",
48 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
49 "iban": "ES8023100001180000012345",
50 "local_clearing_system": "ACH",
51 "swift_code": "CTBAAU2S",
52 "transaction_reference": "4140110135",
53 "intermediary_bank_swift_code": "CTBAAU2S",
54 "intermediary_bank_name": "National Australia Bank"
55 },
56 "company_name": "Complete Concrete Pty Ltd",
57 "date_of_birth": "1976-08-26",
58 "entity_type": "COMPANY",
59 "first_name": "John",
60 "last_name": "Walker"
61 },
62 "beneficiary_id": "<uuid>",
63 "created_at": "2017-03-22T16:08:02+1100",
64 "dispatch_date": "2017-03-29",
65 "failure_reason": "Insufficient funds",
66 "failure_type": "UNKNOWN",
67 "fee_amount": 4,
68 "fee_currency": "AUD",
69 "fee_paid_by": "PAYER",
70 "last_updated_at": "2017-03-24T18:00:02+1100",
71 "metadata": {
72 "order_id": "0123456789"
73 },
74 "payer": {
75 "additional_info": {
76 "business_registration_number": "EU300503",
77 "business_registration_type": "Partnership",
78 "external_id": "1234567890",
79 "personal_email": "[email protected]",
80 "personal_id_number": "1234567890"
81 },
82 "address": {
83 "city": "Melbourne",
84 "country_code": "AU",
85 "postcode": "3000",
86 "state": "VIC",
87 "street_address": "15 William Street"
88 },
89 "company_name": "Complete Concrete Pty Ltd",
90 "date_of_birth": "1976-08-26",
91 "entity_type": "COMPANY",
92 "first_name": "James",
93 "last_name": "Smith"
94 },
95 "payer_id": "<uuid>",
96 "payment_amount": 10000,
97 "payment_currency": "AUD",
98 "payment_date": "2017-03-24",
99 "payment_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
100 "payment_method": "SWIFT",
101 "reason": "travel",
102 "reference": "PMT1936398",
103 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
104 "short_reference_id": "20170322-9F6ML2",
105 "source_amount": 10000,
106 "source_currency": "AUD",
107 "status": "DISPATCHED",
108 "swift_charge_option": "SHARED",
109 "underlying_conversion_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede"
110}
Was this section helpful?

Retry a payment

POST /api/v1/payments/retry/{payment_id}

Retry a payment by payment_id. A payment must be in a status of FAILED to be retried. Only a limited set of the original payment payload can be amended as part of a retry.

If a payment was initially created and submitted for approval, retry is not supported.

Parameters
payment_idrequiredstring

Unique identifier of the payment to retry

Request body
account_currencyrequiredstring

Account Currency

account_namerequiredstring

Account holder name of the beneficiary’s bank account

bank_country_coderequiredstring

Bank country code (2-letter ISO 3166-2 country code)

fingerprintrequiredstring

Fingerprint of current beneficiary's bank account

account_name_aliasstring

The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .

account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled

account_routing_type1string

Routing code type

account_routing_type2string

Routing code sub type

account_routing_value1string

Routing code value

account_routing_value2string

Routing code sub type value

bank_account_categorystring

bank account type

bank_branchstring

Specific branch of bank account

bank_namestring

Bank name of the beneficiary's bank account

bank_statestring

Bank State

bank_street_addressstring

Bank street address

binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account

ibanstring

International bank account number, mostly for european countries

intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank

intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC

local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

swift_codestring

Bank swift code

transaction_referencestring

The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account

Response body - 200 OK
amount_beneficiary_receivesnumber

The total amount (in payment payment_currency) the beneficiary receives for this payment, and is governed by value specified in fee_paid_by, i.e. if fee_paid_by is PAYER, then the beneficiary receives the exact same payment_amount since payer is responsible for the payment fee. Otherwise, beneficiary receives payment_amount - fee as the fee is implicitly passed onto the beneficiary

amount_payer_paysnumber

The total amount (in source_currency) the payer has to pay for making this payment. For example, if fee_paid_by is PAYER and FX conversion is not involved, then this is the sum of payment_amount + fee as the payer is responsible for the fee. Otherwise this field is the same as payment_amount

beneficiaryobject

Details of the beneficiary

beneficiary.bank_detailsobject

Beneficiary's bank account details where the payment will be credited

beneficiary.bank_details.account_currencystring

Account Currency

beneficiary.bank_details.account_namestring

Account holder name of the beneficiary’s bank account

beneficiary.bank_details.bank_country_codestring

Bank country code (2-letter ISO 3166-2 country code)

beneficiary.bank_details.fingerprintstring

Fingerprint of current beneficiary's bank account

beneficiary.bank_details.account_name_aliasstring

The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .

beneficiary.bank_details.account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled

beneficiary.bank_details.account_routing_type1string

Routing code type

beneficiary.bank_details.account_routing_type2string

Routing code sub type

beneficiary.bank_details.account_routing_value1string

Routing code value

beneficiary.bank_details.account_routing_value2string

Routing code sub type value

beneficiary.bank_details.bank_account_categorystring

bank account type

beneficiary.bank_details.bank_branchstring

Specific branch of bank account

beneficiary.bank_details.bank_namestring

Bank name of the beneficiary's bank account

beneficiary.bank_details.bank_statestring

Bank State

beneficiary.bank_details.bank_street_addressstring

Bank street address

beneficiary.bank_details.binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account

beneficiary.bank_details.ibanstring

International bank account number, mostly for european countries

beneficiary.bank_details.intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank

beneficiary.bank_details.intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC

beneficiary.bank_details.local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

beneficiary.bank_details.swift_codestring

Bank swift code

beneficiary.bank_details.transaction_referencestring

The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account

beneficiary.entity_typestring

Entity type of the beneficiary

beneficiary.additional_infoobject

Additional information about the beneficiary

beneficiary.additional_info.business_areastring

Category of business activity

beneficiary.additional_info.business_phone_numberstring

Business phone number

beneficiary.additional_info.business_registration_numberstring

Business registration number

beneficiary.additional_info.external_identifierstring

The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes

beneficiary.additional_info.legal_rep_bank_account_numberstring

Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.

beneficiary.additional_info.legal_rep_first_name_in_chinesestring

Legal representative first name in chinese

beneficiary.additional_info.legal_rep_id_numberstring

Legal representative id number

beneficiary.additional_info.legal_rep_last_name_in_chinesestring

Legal representative last name in chinese

beneficiary.additional_info.legal_rep_mobile_numberstring

Legal representative’s mobile number associated with their bank account.

beneficiary.additional_info.personal_emailstring

Personal email

beneficiary.additional_info.personal_first_name_in_chinesestring

Beneficiary's first name in Chinese

beneficiary.additional_info.personal_id_numberstring

Personal unique identifier number

beneficiary.additional_info.personal_id_typestring

Personal unique identifier type

beneficiary.additional_info.personal_last_name_in_chinesestring

Beneficiary's last name in Chinese

beneficiary.additional_info.personal_mobile_numberstring

Personal mobile number

beneficiary.additional_info.recipient_account_idstring

Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).

beneficiary.additional_info.security_questionstring

Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.additional_info.security_question_answerstring

Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.addressobject

Beneficiary's address details

beneficiary.address.citystring

Beneficiary's city

beneficiary.address.country_codestring

Beneficiary's country code (2-letter ISO 3166-2 country code)

beneficiary.address.postcodestring

Beneficiary's post code

beneficiary.address.statestring

Beneficiary's state

beneficiary.address.street_addressstring

Beneficiary's street address

beneficiary.company_namestring

Company name of the beneficiary

beneficiary.date_of_birthstring

beneficiary date of birth

beneficiary.first_namestring

First name of the beneficiary

beneficiary.last_namestring

Last name of the beneficiary

beneficiary_idstring

beneficiary_id of the beneficiary contact used to create this payment

created_atstring

The time this payment request was created

dispatch_datestring

Actual payout dispatch date. Payouts are dispatched at this date in actual processing. This date could be later than the payment date.

failure_reasonstring

Empty unless the payment is in an error state

failure_typestring

Empty unless the payment is in an error state

fee_amountnumber

The payment fee (in source_currency) for sending this payment

fee_currencystring

The payment fee currency. This should always equal to the source_currency

fee_paid_bystring

Denotes whether PAYER / BENEFICIARY will be liable for the the payment fee. Defaults to PAYER unless field is populated in the request

last_updated_atstring

The time this payment request was last updated

metadataobject

A set of key-value pairs for storing your own data together with the payment.

payerobject

Details of the payer

payer.addressobject

Payer's address details

payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typestring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

payer_idstring

payer_id of the payer contact used to create this payment

payment_amountnumber

Amount to be paid

payment_currencystring

Currency the payment should be made in (3-letter ISO-4217 code)

payment_datestring

Date when payment should be made (Copied from the request if specified)

payment_idstring

Returned payment_id that can be used to query the status of the payment

payment_methodstring

Copied from the request if specified. Otherwise the system will populate this field automatically

reasonstring

Reason for the payment instruction

referencestring

Bank payment reference to be shown on beneficiary's bank transaction history

request_idstring

A unique request identifier specified in the payment request

short_reference_idstring

Short payment reference for support purposes

source_amountnumber

Amount to be received

source_currencystring

Copied from the request if specified

statusstring

The payment status, can be one of: NEW, IN_APPROVAL, REJECTED, RECALLED, BLOCKED, PENDING_FUNDS,CANCELLED, IN_REVIEW, READY_FOR_DISPATCH, SUSPENDED, DISPATCHED, FAILED, CANCELLATION_REQUESTED, RETRIED

swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER

underlying_conversion_idstring

Underlying conversion_id (if source_currency is different from payment_currency)

Errors
Error statusDescription
400

Possible errors: payout_not_found, validation_failed, retry_unsupported, service_unavailable

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/payments/retry/{payment_id}
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/payments/retry/payment_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "account_currency": "AUD",
> "account_name": "Lee Da Ming",
> "account_name_alias": "Lee D M",
> "account_number": "12750852",
> "account_routing_type1": "bsb",
> "account_routing_type2": "sort_code",
> "account_routing_value1": "083064",
> "account_routing_value2": "123456",
> "bank_account_category": "Checking,Savings,Vista,Maestra",
> "bank_branch": "Melbourne",
> "bank_country_code": "AU",
> "bank_name": "National Australia Bank",
> "bank_state": "<string>",
> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
> "binding_mobile_number": "654897612345",
> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
> "iban": "ES8023100001180000012345",
> "local_clearing_system": "ACH",
> "swift_code": "CTBAAU2S",
> "transaction_reference": "4140110135",
> "intermediary_bank_swift_code": "CTBAAU2S",
> "intermediary_bank_name": "National Australia Bank"
>}'
Response (200 OK)
1{
2 "amount_beneficiary_receives": 99996,
3 "amount_payer_pays": 10004,
4 "beneficiary": {
5 "additional_info": {
6 "business_area": "Travel",
7 "business_phone_number": "689342234",
8 "business_registration_number": "IT593003",
9 "external_identifier": "<string>",
10 "legal_rep_bank_account_number": "44250100003700000000",
11 "legal_rep_first_name_in_chinese": "小芳",
12 "legal_rep_id_number": "110108199304203520",
13 "legal_rep_last_name_in_chinese": "刘",
14 "legal_rep_mobile_number": "13651362890",
15 "personal_email": "[email protected]",
16 "personal_first_name_in_chinese": "大明",
17 "personal_id_number": "1234567890",
18 "personal_id_type": "NATIONAL_ID",
19 "personal_last_name_in_chinese": "李",
20 "personal_mobile_number": "13651362890",
21 "recipient_account_id": "<string>",
22 "security_question": "What is the name of my second puppy?",
23 "security_question_answer": "Scooby Doo"
24 },
25 "address": {
26 "city": "Melbourne",
27 "country_code": "AU",
28 "postcode": "3000",
29 "state": "VIC",
30 "street_address": "15 William Street"
31 },
32 "bank_details": {
33 "account_currency": "AUD",
34 "account_name": "Lee Da Ming",
35 "account_name_alias": "Lee D M",
36 "account_number": "12750852",
37 "account_routing_type1": "bsb",
38 "account_routing_type2": "sort_code",
39 "account_routing_value1": "083064",
40 "account_routing_value2": "123456",
41 "bank_account_category": "Checking,Savings,Vista,Maestra",
42 "bank_branch": "Melbourne",
43 "bank_country_code": "AU",
44 "bank_name": "National Australia Bank",
45 "bank_state": "<string>",
46 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
47 "binding_mobile_number": "654897612345",
48 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
49 "iban": "ES8023100001180000012345",
50 "local_clearing_system": "ACH",
51 "swift_code": "CTBAAU2S",
52 "transaction_reference": "4140110135",
53 "intermediary_bank_swift_code": "CTBAAU2S",
54 "intermediary_bank_name": "National Australia Bank"
55 },
56 "company_name": "Complete Concrete Pty Ltd",
57 "date_of_birth": "1976-08-26",
58 "entity_type": "COMPANY",
59 "first_name": "John",
60 "last_name": "Walker"
61 },
62 "beneficiary_id": "<uuid>",
63 "created_at": "2017-03-22T16:08:02+1100",
64 "dispatch_date": "2017-03-29",
65 "failure_reason": "Insufficient funds",
66 "failure_type": "UNKNOWN",
67 "fee_amount": 4,
68 "fee_currency": "AUD",
69 "fee_paid_by": "PAYER",
70 "last_updated_at": "2017-03-24T18:00:02+1100",
71 "metadata": {
72 "order_id": "0123456789"
73 },
74 "payer": {
75 "additional_info": {
76 "business_registration_number": "EU300503",
77 "business_registration_type": "Partnership",
78 "external_id": "1234567890",
79 "personal_email": "[email protected]",
80 "personal_id_number": "1234567890"
81 },
82 "address": {
83 "city": "Melbourne",
84 "country_code": "AU",
85 "postcode": "3000",
86 "state": "VIC",
87 "street_address": "15 William Street"
88 },
89 "company_name": "Complete Concrete Pty Ltd",
90 "date_of_birth": "1976-08-26",
91 "entity_type": "COMPANY",
92 "first_name": "James",
93 "last_name": "Smith"
94 },
95 "payer_id": "<uuid>",
96 "payment_amount": 10000,
97 "payment_currency": "AUD",
98 "payment_date": "2017-03-24",
99 "payment_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
100 "payment_method": "SWIFT",
101 "reason": "travel",
102 "reference": "PMT1936398",
103 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
104 "short_reference_id": "20170322-9F6ML2",
105 "source_amount": 10000,
106 "source_currency": "AUD",
107 "status": "DISPATCHED",
108 "swift_charge_option": "SHARED",
109 "underlying_conversion_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede"
110}
Was this section helpful?

Validate payment

POST /api/v1/payments/validate

Given a payment request, validate it and return all failed fields as a 400 response. No errors will be "OK" as a 200 response.

Request body
payment_currencyrequiredstring

Payment currency, i.e. the currency that the beneficiary receives (3-letter ISO-4217 code)

reasonrequiredstring

Reason for the payment instruction

referencerequiredstring

A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank

request_idrequiredstring

A unique request ID specified by the client. Payout creation requests with a request_id that has been used in the past 7 days are treated as duplicated payout and cannot be processed. When you are not sure about the outcome of a payout creation request, e.g. when there are network issues or system failures such as timeout, you can try to get a payout with this request_id to find out.
Note: Can be non-UUID as long as it is unique among the requests within the past 7 days.

beneficiaryobject

Details for the beneficiary in the payment request. If beneficiary_id provided in the payment request then beneficiary should be empty

beneficiary.bank_detailsrequiredobject

Beneficiary's bank account details where the payment will be credited

beneficiary.bank_details.account_currencyrequiredstring

Account Currency

beneficiary.bank_details.account_namerequiredstring

Account holder name of the beneficiary’s bank account

beneficiary.bank_details.bank_country_coderequiredstring

Bank country code (2-letter ISO 3166-2 country code)

beneficiary.bank_details.fingerprintrequiredstring

Fingerprint of current beneficiary's bank account

beneficiary.bank_details.account_name_aliasstring

The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .

beneficiary.bank_details.account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled

beneficiary.bank_details.account_routing_type1string

Routing code type

beneficiary.bank_details.account_routing_type2string

Routing code sub type

beneficiary.bank_details.account_routing_value1string

Routing code value

beneficiary.bank_details.account_routing_value2string

Routing code sub type value

beneficiary.bank_details.bank_account_categorystring

bank account type

beneficiary.bank_details.bank_branchstring

Specific branch of bank account

beneficiary.bank_details.bank_namestring

Bank name of the beneficiary's bank account

beneficiary.bank_details.bank_statestring

Bank State

beneficiary.bank_details.bank_street_addressstring

Bank street address

beneficiary.bank_details.binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account

beneficiary.bank_details.ibanstring

International bank account number, mostly for european countries

beneficiary.bank_details.intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank

beneficiary.bank_details.intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC

beneficiary.bank_details.local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

beneficiary.bank_details.swift_codestring

Bank swift code

beneficiary.bank_details.transaction_referencestring

The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account

beneficiary.entity_typerequiredstring

Entity type of the beneficiary

beneficiary.additional_infoobject

Additional information about the beneficiary

beneficiary.additional_info.business_areastring

Category of business activity

beneficiary.additional_info.business_phone_numberstring

Business phone number

beneficiary.additional_info.business_registration_numberstring

Business registration number

beneficiary.additional_info.external_identifierstring

The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes

beneficiary.additional_info.legal_rep_bank_account_numberstring

Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.

beneficiary.additional_info.legal_rep_first_name_in_chinesestring

Legal representative first name in chinese

beneficiary.additional_info.legal_rep_id_numberstring

Legal representative id number

beneficiary.additional_info.legal_rep_last_name_in_chinesestring

Legal representative last name in chinese

beneficiary.additional_info.legal_rep_mobile_numberstring

Legal representative’s mobile number associated with their bank account.

beneficiary.additional_info.personal_emailstring

Personal email

beneficiary.additional_info.personal_first_name_in_chinesestring

Beneficiary's first name in Chinese

beneficiary.additional_info.personal_id_numberstring

Personal unique identifier number

beneficiary.additional_info.personal_id_typestring

Personal unique identifier type

beneficiary.additional_info.personal_last_name_in_chinesestring

Beneficiary's last name in Chinese

beneficiary.additional_info.personal_mobile_numberstring

Personal mobile number

beneficiary.additional_info.recipient_account_idstring

Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).

beneficiary.additional_info.security_questionstring

Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.additional_info.security_question_answerstring

Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.addressobject

Beneficiary's address details

beneficiary.address.citystring

Beneficiary's city

beneficiary.address.country_codestring

Beneficiary's country code (2-letter ISO 3166-2 country code)

beneficiary.address.postcodestring

Beneficiary's post code

beneficiary.address.statestring

Beneficiary's state

beneficiary.address.street_addressstring

Beneficiary's street address

beneficiary.company_namestring

Company name of the beneficiary

beneficiary.date_of_birthstring

beneficiary date of birth

beneficiary.first_namestring

First name of the beneficiary

beneficiary.last_namestring

Last name of the beneficiary

beneficiary_idstring

An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API. This may be provided in place of the beneficiary section and should be empty if the beneficiary fields are provided

client_datastring

Free text field available to you; can be populated with any additional identifiers that may be required for the payment

fee_paid_bystring

Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives

metadataobject

A set of key-value pairs for storing your own data together with the payment.

payerobject

Details for the payer in the payment request. If payer_id provided in the payment request then payer should be empty

payer.addressrequiredobject

Payer's address details

payer.address.country_coderequiredstring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typerequiredstring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

payer_idstring

An Airwallex payer_id previously generated by utilising the Airwallex Contact API. This may be provided in place of the payer section and should be empty if the payer fields are provided

payment_amountstring

Payment amount in payment_currency

payment_datestring

Date when payment should be made

payment_methodstring

Payment method, i.e. SWIFT, LOCAL

quote_idstring

Provide a valid quote_id to execute the conversion at the client_rate provided in the quote.

source_amountstring

Source amount in source_currency

source_currencystring

Source currency, i.e. the currency that the Payer uses to fund the payment (3-letter ISO-4217 code)

swift_charge_optionstring

(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER

Response body - 200 OK

OK

Errors
Error statusDescription
400

Possible errors: validation_failed, service_unavailable

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/payments/validate
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/payments/validate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "beneficiary": {
> "additional_info": {
> "business_area": "Travel",
> "business_phone_number": "689342234",
> "business_registration_number": "IT593003",
> "external_identifier": "<string>",
> "legal_rep_bank_account_number": "44250100003700000000",
> "legal_rep_first_name_in_chinese": "小芳",
> "legal_rep_id_number": "110108199304203520",
> "legal_rep_last_name_in_chinese": "刘",
> "legal_rep_mobile_number": "13651362890",
> "personal_email": "[email protected]",
> "personal_first_name_in_chinese": "大明",
> "personal_id_number": "1234567890",
> "personal_id_type": "NATIONAL_ID",
> "personal_last_name_in_chinese": "李",
> "personal_mobile_number": "13651362890",
> "recipient_account_id": "<string>",
> "security_question": "What is the name of my second puppy?",
> "security_question_answer": "Scooby Doo"
> },
> "address": {
> "city": "Melbourne",
> "country_code": "AU",
> "postcode": "3000",
> "state": "VIC",
> "street_address": "15 William Street"
> },
> "bank_details": {
> "account_currency": "AUD",
> "account_name": "Lee Da Ming",
> "account_name_alias": "Lee D M",
> "account_number": "12750852",
> "account_routing_type1": "bsb",
> "account_routing_type2": "sort_code",
> "account_routing_value1": "083064",
> "account_routing_value2": "123456",
> "bank_account_category": "Checking,Savings,Vista,Maestra",
> "bank_branch": "Melbourne",
> "bank_country_code": "AU",
> "bank_name": "National Australia Bank",
> "bank_state": "<string>",
> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
> "binding_mobile_number": "654897612345",
> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
> "iban": "ES8023100001180000012345",
> "local_clearing_system": "ACH",
> "swift_code": "CTBAAU2S",
> "transaction_reference": "4140110135",
> "intermediary_bank_swift_code": "CTBAAU2S",
> "intermediary_bank_name": "National Australia Bank"
> },
> "company_name": "Complete Concrete Pty Ltd",
> "date_of_birth": "1976-08-26",
> "entity_type": "COMPANY",
> "first_name": "John",
> "last_name": "Walker"
> },
> "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",
> "client_data": "string",
> "fee_paid_by": "PAYER",
> "metadata": {
> "order_id": "0123456789"
> },
> "payer": {
> "additional_info": {
> "business_registration_number": "EU300503",
> "business_registration_type": "Partnership",
> "external_id": "1234567890",
> "personal_email": "[email protected]",
> "personal_id_number": "1234567890"
> },
> "address": {
> "city": "Melbourne",
> "country_code": "AU",
> "postcode": "3000",
> "state": "VIC",
> "street_address": "15 William Street"
> },
> "company_name": "Complete Concrete Pty Ltd",
> "date_of_birth": "1976-08-26",
> "entity_type": "COMPANY",
> "first_name": "James",
> "last_name": "Smith"
> },
> "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
> "payment_amount": "10000",
> "payment_currency": "AUD",
> "payment_date": "2017-03-20",
> "payment_method": "SWIFT",
> "quote_id": "<string>",
> "reason": "travel",
> "reference": "PMT1936398",
> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
> "source_amount": "10000",
> "source_currency": "AUD",
> "swift_charge_option": "SHARED"
>}'
Was this section helpful?